import { promises, statSync } from "node:fs";
function handleError(e) {
    if (e.code === "ENOENT") {
        return false;
    } else {
        return undefined;
    }
}
function handleResult(result, options) {
    return result.isFile() || Boolean((options === null || options === void 0 ? void 0 : options.includeDirectories) && result.isDirectory());
}
export async function fileExists(path, options) {
    return promises.stat(path).then((result)=>{
        return handleResult(result, options);
    }).catch((e)=>{
        return handleError(e);
    });
}
export function fileExistsSync(path, options) {
    try {
        const result = statSync(path);
        return handleResult(result, options);
    } catch (e) {
        return handleError(e);
    }
}
